.TH "TXT2TAGS" 1 "September, 2003" ""

.SH NAME
.P
txt2tags \- text format and conversion tool

.SH SYNOPSIS
.P
\fBtxt2tags\fR [\fIOPTION\fR]... [\fIFILE\fR]...

.SH DESCRIPTION
.P
\fBtxt2tags\fR is a GPL format conversion tool written in Python that
generates \fIHTML\fR, \fISGML\fR, \fILaTeX\fR, \fIMan Page\fR, \fIMoinMoin\fR,
\fIMagic Point\fR and \fIPageMaker\fR documents from a plain text file
with little marks.

.P
The user just need to know the very few and simple \fBtxt2tags\fR marks,
and write plain text files. The program does all the dirty work, adding
the complicated tags and dealing with the target document's gotchas.

.P
The same text file can be converted to all target formats, with no
further editing. This is the \fBtxt2tags\fR purpose: ONE source, MULTI
targets.

.P
Please visit the program homepage at
\fIhttp://txt2tags.sourceforge.net\fR.

.SH OPTIONS
.TP
 \fB\-n\fR, \fB\-\-enumtitle\fR
enumerate all title lines as 1, 1.1, 1.1.1, etc

.TP
     \fB\-\-gui\fR
invoke Graphical Tk Interface

.TP
 \fB\-h\fR, \fB\-\-help\fR
print this help information and exit

.TP
     \fB\-\-maskemail\fR
hide email from spam robots. x@y.z turns <x (a) y z>

.TP
 \fB\-H\fR, \fB\-\-noheaders\fR
suppress header, title and footer information

.TP
 \fB\-o\fR, \fB\-\-outfile\fR=\fIFILE\fR
set FILE as the output file name ('\-' for STDOUT)

.TP
     \fB\-\-style\fR=\fIFILE\fR
use FILE as the document style (like Html CSS)

.TP
     \fB\-\-toc\fR
add TOC (Table of Contents) to target document

.TP
     \fB\-\-toclevel\fR=\fIN\fR
set maximum TOC level (deepness) to N

.TP
     \fB\-\-toconly\fR
print document TOC and exit

.TP
\fB\-t\fR, \fB\-\-type\fR
set target document type. actually supported:
txt, sgml, html, pm6, mgp, moin, man, tex

.TP
 \fB\-V\fR, \fB\-\-version\fR
print program version and exit

.P
By default, converted output is saved to 'file.<type>'.
Use \-\-outfile to force an output file name.
If input file is '\-', reads from STDIN.
If output file is '\-', dumps output to STDOUT.

.SH EXAMPLES
.P
Assuming you have written a file.t2t marked file, let's have some
converting fun.

.TP
\fBConvert to HTML, saving to file.html\fR
$ txt2tags \-t html file.t2t

.TP
\fBThe same, using redirection\fR
$ txt2tags \-t html \-o \- file.t2t > file.html

.TP
\fBIncluding Table Of Contents\fR
$ txt2tags \-t html \-\-toc file.t2t

.TP
\fBIncluding TOC and numbering titles\fR
$ txt2tags \-t html \-\-toc \-\-enumtitle file.t2t

.TP
\fBContents quick view\fR
$ txt2tags \-\-toconly file.t2t

.TP
\fBUsing Graphical Interface\fR
$ txt2tags \-\-gui file.t2t

.TP
\fBPost\-convert editing with external filter\fR
$ txt2tags \-t html \-o\- file.t2t | sed \-f myfilter.sed > file.html

.TP
\fBQuick one\-liner test from STDIN\fR
$ echo \-e "\en**bold**" | txt2tags \-t html \-H \-

.SH SYNTAX
.P
A very simple markup syntax is used on the document source
(the plain text file) to identify structures and formatting.
Here's the complete list:

.SS Basic
.nf
  Headers           The first 3 lines of the source file
  Title             = words =
  Numbered title    + words +
  Paragraph         words
.fi


.SS Beautifiers
.nf
  Bold              **words**
  Bolditalic        */words/*
  Italic            //words//
  Underline         __words__
  Verbatim          `words`
.fi


.SS Text Blocks
.nf
  Quote             <TAB>words
  List              - words
  Numbered list     + words
  Definition list   = words:
  Verbatim line     --- words
  Verbatim area     ---<LineBreak> lines <LineBreak>---
  Table             | cell1 | cell2 | cell3...
.fi


.SS Other
.nf
  Separator line    -----------------------...
  Strong line       =======================...
  Links             [label url]
  Image             [filename.XXX]
  Raw Text          ``words``
  Current Date      %%date(format)
  Comment           % comments
.fi


.P
Please read the \fBRULES\fR file (on the program documentation
directory) for a detailed description of each mark.

.SH AUTHOR
.P
Written and maintained by Aurelio Marinho Jargas <verde@aurelio.net>

.P
This Manual Page was written by Jose Inacio Coelho <jic@technologist.com>
as a text file, then converted to man format by \fBtxt2tags\fR!

.SH COPYRIGHT
.P
Copyright  2001, 2003 Aurelio Marinho Jargas

.P
This is free software; see the source for copying conditions. There is
NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.


.\" man code generated by txt2tags 2.0-alpha4-dev1130 (http://txt2tags.sf.net)
.\" cmdline: txt2tags -t man manpage.t2t

